Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3287 - want ksymoops in 6.0 somehow, here makes sense I guess.
Summary: want ksymoops in 6.0 somehow, here makes sense I guess.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-05 18:19 UTC by Zach Brown
Modified: 2015-05-18 01:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-02 22:19:09 UTC


Attachments (Terms of Use)

Description Zach Brown 1999-06-05 18:19:30 UTC
not having a ksymoops binary is annoying, perhaps I'm
just missing it? :)

quick untested hack that might work: (patch available on
   request as well, should dorky http eat it)

--- /usr/src/redhat/SPECS/kernel-2.2.spec       Thu Apr 29
17:22:45 1999
+++ kernel-2.2.spec     Sat Jun  5 14:10:46 1999
@@ -339,6 +339,9 @@
 BuildPCMCIA
 %endif

+#sneak this in
+make -C scripts/ksymoops ksymoops
+
 ###
 ### install
 ###
@@ -351,6 +354,9 @@

 mkdir -p $RPM_BUILD_ROOT/{boot,sbin}
 install -m 755 $RPM_SOURCE_DIR/installkernel
$RPM_BUILD_ROOT/sbin/installkernel
+install -m 755 scripts/ksymoops/ksymoops
$RPM_BUILD_ROOT/sbin/ksymoops
+#?? is RPM_DOC_DIR already build root relative ????
+install -m 444 scripts/ksymoops/README \
$RPM_DOC_DIR/ksymoops.README

 %ifarch i386 i586 i686
 mkdir -p $RPM_BUILD_ROOT/etc/pcmcia
@@ -521,6 +527,7 @@
 /boot/System.map-%{KVERREL}
 /boot/module-info-%{KVERREL}
 /sbin/installkernel
+/sbin/ksymoops
 %dir /lib/modules
 /lib/modules/%{KVERREL}

@@ -622,6 +629,7 @@
 /boot/System.map-%{KVERREL}smp
 /boot/module-info-%{KVERREL}smp
 /sbin/installkernel
+/sbin/ksymoops
 %dir /lib/modules
 /lib/modules/%{KVERREL}smp

@@ -636,6 +644,7 @@
 /boot/vmlinuz-%{KVERREL}BOOT
 /boot/System.map-%{KVERREL}BOOT
 /sbin/installkernel
+/sbin/ksymoops
 %dir /lib/modules
 /lib/modules/%{KVERREL}BOOT
 %endif

Comment 1 Jay Turner 1999-06-29 12:42:59 UTC
Your crazy suggestion has been forwarded to a qualified developer who
will do your wimpy dirty work!!

- J

Comment 2 Cristian Gafton 1999-07-02 22:19:59 UTC
Incorporated into the devel version of the spec file.
Thanks, zab


Note You need to log in before you can comment on or make changes to this bug.